OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpOpaque

    java.lang.Object
      org.opennms.protocols.snmp.SnmpOctetString
          org.opennms.protocols.snmp.SnmpOpaque

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, SnmpSyntax

public class SnmpOpaque
extends SnmpOctetString

The SnmpOpaque class is an extension of the octet string class and is used to pass opaque data. Opaque data is information that isn't interperted by the manager in general.

Version:
  1.1.1.1
Author:
  Brian Weaver
See Also:
  Serialized Form

Field Summary
`static byte` `ASNTYPE` The ASN.1 type for this class.
`(package private) static long` `serialVersionUID` Required for version control of serialzation format.

Fields inherited from class org.opennms.protocols.snmp.SnmpOctetString
``

Constructor Summary
`SnmpOpaque()` The default constructor for this class.
`SnmpOpaque(byte[] data)` Constructs an opaque object with the passed data.
`SnmpOpaque(SnmpOctetString second)` Constructs an object that is a duplicate of the passed object.
`SnmpOpaque(SnmpOpaque second)` Constructs an object that is a duplicate of the passed object.

Method Summary
`java.lang.Object` `clone()` Returns a duplicate of the current object.
`SnmpSyntax` `duplicate()` Returns a duplicate of the current object.
`java.lang.String` `toString()` Returns a string representation of the object.
`byte` `typeId()` Returns the defined ASN.1 type identifier.

Methods inherited from class org.opennms.protocols.snmp.SnmpOctetString
`assumeString, decodeASN, encodeASN, getLength, getString, setString, setString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Required for version control of serialzation format.

  See Also:
    Constant Field Values

### ASNTYPE

    public static final byte ASNTYPE

  The ASN.1 type for this class.

  See Also:
    Constant Field Values

Constructor Detail

### SnmpOpaque

    public SnmpOpaque()

  The default constructor for this class.

### SnmpOpaque

    public SnmpOpaque(byte[] data)

  Constructs an opaque object with the passed data.

Parameters:
  `data` - The opaque data.

### SnmpOpaque

    public SnmpOpaque(SnmpOpaque second)

  Constructs an object that is a duplicate of the passed object.

Parameters:
  `second` - The object to be duplicated.

### SnmpOpaque

    public SnmpOpaque(SnmpOctetString second)

  Constructs an object that is a duplicate of the passed object.

Parameters:
  `second` - The object to be duplicated.

Method Detail

### typeId

    public byte typeId()

  Returns the defined ASN.1 type identifier.

  Specified by:
    `typeId` in interface `SnmpSyntax`
  Overrides:
    `typeId` in class `SnmpOctetString`
  Returns:
    The ASN.1 identifier.

### duplicate

    public SnmpSyntax duplicate()

  Returns a duplicate of the current object.

  Specified by:
    `duplicate` in interface `SnmpSyntax`
  Overrides:
    `duplicate` in class `SnmpOctetString`
  Returns:
    A duplicate of self

### clone

    public java.lang.Object clone()

  Returns a duplicate of the current object.

  Overrides:
    `clone` in class `SnmpOctetString`
  Returns:
    A duplicate of self

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `SnmpOctetString`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.